import matplotlib.pyplot as plt
numargs = powernorm.numargs
[ c ] = [0.9,] * numargs
rv = powernorm(c)

# Display frozen pdf

x = np.linspace(0, np.minimum(rv.dist.b, 3))
h = plt.plot(x, rv.pdf(x))

# Check accuracy of cdf and ppf

prb = powernorm.cdf(x, c)
h = plt.semilogy(np.abs(x - powernorm.ppf(prb, c)) + 1e-20)

# Random number generation

R = powernorm.rvs(c, size=100)
